# Uses of Enum
org.eclipse.birt.chart.model.attribute.Orientation

Packages that use Orientation
Package
Description
org.eclipse.birt.chart.model
Contains the chart model interfaces that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.
org.eclipse.birt.chart.model.impl
Represents the chart model implementation classes that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.layout
Contains a layout manager capable of arranging a set of blocks associated with the chart representation.
org.eclipse.birt.chart.model.layout.impl
Contains core class implementations for blocks associated with the chart representation.
org.eclipse.birt.chart.model.type
Contains a default out-of-the-box set of series type interfaces that are associated with all charts.
org.eclipse.birt.chart.model.type.impl
Contains a default out-of-the-box set of series type core implementation classes that are associated with all charts.

## Uses of Orientation in org.eclipse.birt.chart.model

Methods in org.eclipse.birt.chart.model that return Orientation
Modifier and Type
Method
Description
`Orientation`
ChartWithAxes.`getOrientation()`
Returns the value of the 'Orientation' attribute.
Methods in org.eclipse.birt.chart.model with parameters of type Orientation
Modifier and Type
Method
Description
`void`
ChartWithAxes.`setOrientation(Orientation value)`
Sets the value of the '`Orientation`' attribute.

## Uses of Orientation in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type Orientation
Modifier and Type
Field
Description
`static final List<Orientation>`
Orientation.`VALUES`
A public read-only list of all the 'Orientation' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return Orientation
Modifier and Type
Method
Description
`static Orientation`
Orientation.`get(int value)`
Returns the 'Orientation' literal with the specified integer value.
`static Orientation`
Orientation.`get(String literal)`
Returns the 'Orientation' literal with the specified literal value.
`static Orientation`
Orientation.`getByName(String name)`
Returns the 'Orientation' literal with the specified name.
`static Orientation`
Orientation.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Orientation[]`
Orientation.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of Orientation in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return Orientation
Modifier and Type
Method
Description
`Orientation`
AttributeFactoryImpl.`createOrientationFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Orientation`
AttributeFactoryImpl.`createOrientationObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`

## Uses of Orientation in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return Orientation
Modifier and Type
Method
Description
`Orientation`
Axis.`getOrientation()`
Returns the value of the 'Orientation' attribute.
Methods in org.eclipse.birt.chart.model.component with parameters of type Orientation
Modifier and Type
Method
Description
`void`
Axis.`setOrientation(Orientation value)`
Sets the value of the '`Orientation`' attribute.

## Uses of Orientation in org.eclipse.birt.chart.model.component.impl

Methods in org.eclipse.birt.chart.model.component.impl that return Orientation
Modifier and Type
Method
Description
`Orientation`
AxisImpl.`getOrientation()`
Methods in org.eclipse.birt.chart.model.component.impl with parameters of type Orientation
Modifier and Type
Method
Description
`void`
AxisImpl.`setOrientation(Orientation newOrientation)`

## Uses of Orientation in org.eclipse.birt.chart.model.impl

Methods in org.eclipse.birt.chart.model.impl that return Orientation
Modifier and Type
Method
Description
`Orientation`
ChartWithAxesImpl.`getOrientation()`
Methods in org.eclipse.birt.chart.model.impl with parameters of type Orientation
Modifier and Type
Method
Description
`void`
ChartWithAxesImpl.`setOrientation(Orientation newOrientation)`

## Uses of Orientation in org.eclipse.birt.chart.model.layout

Methods in org.eclipse.birt.chart.model.layout that return Orientation
Modifier and Type
Method
Description
`Orientation`
Legend.`getOrientation()`
Returns the value of the 'Orientation' attribute.
Methods in org.eclipse.birt.chart.model.layout with parameters of type Orientation
Modifier and Type
Method
Description
`void`
Legend.`setOrientation(Orientation value)`
Sets the value of the '`Orientation`' attribute.

## Uses of Orientation in org.eclipse.birt.chart.model.layout.impl

Methods in org.eclipse.birt.chart.model.layout.impl that return Orientation
Modifier and Type
Method
Description
`Orientation`
LegendImpl.`getOrientation()`
Methods in org.eclipse.birt.chart.model.layout.impl with parameters of type Orientation
Modifier and Type
Method
Description
`void`
LegendImpl.`setOrientation(Orientation newOrientation)`

## Uses of Orientation in org.eclipse.birt.chart.model.type

Methods in org.eclipse.birt.chart.model.type that return Orientation
Modifier and Type
Method
Description
`Orientation`
BubbleSeries.`getAccOrientation()`
Returns the value of the 'Acc Orientation' attribute.
Methods in org.eclipse.birt.chart.model.type with parameters of type Orientation
Modifier and Type
Method
Description
`void`
BubbleSeries.`setAccOrientation(Orientation value)`
Sets the value of the '`Acc Orientation`' attribute.

## Uses of Orientation in org.eclipse.birt.chart.model.type.impl

Methods in org.eclipse.birt.chart.model.type.impl that return Orientation
Modifier and Type
Method
Description
`Orientation`
BubbleSeriesImpl.`getAccOrientation()`
Methods in org.eclipse.birt.chart.model.type.impl with parameters of type Orientation
Modifier and Type
Method
Description
`void`
BubbleSeriesImpl.`setAccOrientation(Orientation newAccOrientation)`